Subject: Y2K and Digital Certificates Article

From: Russ Housley <[email-masked]>
Date: Thu, 14 Oct 1999 16:08:13 -0400

Bob:

Here is the first paragraph from an article you wrote:

You'd think that a new Internet standard would be free of Y2K problems. But 
if it has a legacy component, think again. Digital certificates have been 
around for a dozen years and in that time they've gone through three 
versions. We finally have an Internet Standard Profile (RFC 2459, Internet 
X.509 PKI Certificate, and Certificate Revocation List, collectively known 
as PKIX). But this new standard has a Y2K bomb that could go off 40 years 
from now--when it is well entrenched in our businesses.

I do not consider this a Y2K-like situation.  RFC 2459 clearly tells 
developers how to handle UTCTime and GeneralizedTime.  There is no ambiguity.

Russ